#include "mainwindow.h"
#include <QDebug>
MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , m_gloablShortcut(new QAction(this))
{
    m_gloablShortcut->setProperty("componentName", QStringLiteral("FengYe"));
    m_gloablShortcut->setObjectName(QString::fromUtf8("actionName"));
    // 初始化win+空格键
    connect(m_gloablShortcut, &QAction::triggered, this, &MainWindow::doOpenAudio);
    KGlobalAccel::self()->removeAllShortcuts(m_gloablShortcut)   ;
    KGlobalAccel::self()->setShortcut(
        m_gloablShortcut,
        QList<QKeySequence>() << QKeySequence("Meta+Space"),
        KGlobalAccel::NoAutoloading);
}

MainWindow::~MainWindow()
{

}

void MainWindow::doOpenAudio()
{
    qWarning()<<"doOpenAudio";
}
